## org.apache.xerces.stax.events
Class StartElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.stax.events.XMLEventImpl
            |
            +--org.apache.xerces.stax.events.ElementImpl
                  |
                  +--org.apache.xerces.stax.events.StartElementImpl

All Implemented Interfaces:
  javax.xml.stream.events.StartElement, javax.xml.stream.events.XMLEvent, javax.xml.stream.XMLStreamConstants

public final class StartElementImpl
extends org.apache.xerces.stax.events.ElementImpl
implements javax.xml.stream.events.StartElement

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: StartElementImpl.java 730796 2009-01-02 17:36:23Z mrglavas $
Author:
  Lucian Holland

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`StartElementImpl(javax.xml.namespace.QName name, java.util.Iterator attributes, java.util.Iterator namespaces, javax.xml.namespace.NamespaceContext namespaceContext, javax.xml.stream.Location location)`

Method Summary
`javax.xml.stream.events.Characters` `asCharacters()`
`javax.xml.stream.events.EndElement` `asEndElement()`
`javax.xml.stream.events.StartElement` `asStartElement()`
`javax.xml.stream.events.Attribute` `getAttributeByName(javax.xml.namespace.QName name)`
`java.util.Iterator` `getAttributes()`
`int` `getEventType()`
`javax.xml.stream.Location` `getLocation()`
`javax.xml.namespace.QName` `getName()`
`javax.xml.namespace.NamespaceContext` `getNamespaceContext()`
`java.util.Iterator` `getNamespaces()`
`java.lang.String` `getNamespaceURI(java.lang.String prefix)`
`javax.xml.namespace.QName` `getSchemaType()`
`boolean` `isAttribute()`
`boolean` `isCharacters()`
`boolean` `isEndDocument()`
`boolean` `isEndElement()`
`boolean` `isEntityReference()`
`boolean` `isNamespace()`
`boolean` `isProcessingInstruction()`
`boolean` `isStartDocument()`
`boolean` `isStartElement()`
`java.lang.String` `toString()`
`void` `writeAsEncodedUnicode(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.StartElement
`getName, getNamespaces`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement`

Constructor Detail

### StartElementImpl

    public StartElementImpl(javax.xml.namespace.QName name,
                            java.util.Iterator attributes,
                            java.util.Iterator namespaces,
                            javax.xml.namespace.NamespaceContext namespaceContext,
                            javax.xml.stream.Location location)

  Parameters:
    `location` -
    `schemaType` -

Method Detail

### getAttributes

    public java.util.Iterator getAttributes()

  Specified by:
    `getAttributes` in interface `javax.xml.stream.events.StartElement`
  See Also:
    `StartElement.getAttributes()`

### getAttributeByName

    public javax.xml.stream.events.Attribute getAttributeByName(javax.xml.namespace.QName name)

  Specified by:
    `getAttributeByName` in interface `javax.xml.stream.events.StartElement`
  See Also:
    `StartElement.getAttributeByName(javax.xml.namespace.QName)`

### getNamespaceContext

    public javax.xml.namespace.NamespaceContext getNamespaceContext()

  Specified by:
    `getNamespaceContext` in interface `javax.xml.stream.events.StartElement`
  See Also:
    `StartElement.getNamespaceContext()`

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.events.StartElement`
  See Also:
    `StartElement.getNamespaceURI(java.lang.String)`

### writeAsEncodedUnicode

    public void writeAsEncodedUnicode(java.io.Writer writer)
                               throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeAsEncodedUnicode` in interface `javax.xml.stream.events.XMLEvent`

### getName

    public final javax.xml.namespace.QName getName()

  See Also:
    `StartElement.getName()`, `EndElement.getName()`

### getNamespaces

    public final java.util.Iterator getNamespaces()

  See Also:
    `StartElement.getNamespaces()`, `EndElement.getNamespaces()`

### getEventType

    public final int getEventType()

  Specified by:
    `getEventType` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getEventType()`

### getLocation

    public final javax.xml.stream.Location getLocation()

  Specified by:
    `getLocation` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getLocation()`

### isStartElement

    public final boolean isStartElement()

  Specified by:
    `isStartElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isStartElement()`

### isAttribute

    public final boolean isAttribute()

  Specified by:
    `isAttribute` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isAttribute()`

### isNamespace

    public final boolean isNamespace()

  Specified by:
    `isNamespace` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isNamespace()`

### isEndElement

    public final boolean isEndElement()

  Specified by:
    `isEndElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEndElement()`

### isEntityReference

    public final boolean isEntityReference()

  Specified by:
    `isEntityReference` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEntityReference()`

### isProcessingInstruction

    public final boolean isProcessingInstruction()

  Specified by:
    `isProcessingInstruction` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isProcessingInstruction()`

### isCharacters

    public final boolean isCharacters()

  Specified by:
    `isCharacters` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isCharacters()`

### isStartDocument

    public final boolean isStartDocument()

  Specified by:
    `isStartDocument` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isStartDocument()`

### isEndDocument

    public final boolean isEndDocument()

  Specified by:
    `isEndDocument` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEndDocument()`

### asStartElement

    public final javax.xml.stream.events.StartElement asStartElement()

  Specified by:
    `asStartElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asStartElement()`

### asEndElement

    public final javax.xml.stream.events.EndElement asEndElement()

  Specified by:
    `asEndElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asEndElement()`

### asCharacters

    public final javax.xml.stream.events.Characters asCharacters()

  Specified by:
    `asCharacters` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asCharacters()`

### getSchemaType

    public final javax.xml.namespace.QName getSchemaType()

  Specified by:
    `getSchemaType` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getSchemaType()`

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.